import { useContext } from 'preact/hooks';
import AppState from '../../store/AppState';
const Header = ({title}) => {
	let { menu, session } = useContext(AppState);
	let [menu_shown, toggle_menu] = menu;
	let [sessiondata] = session;
	return (
		<header className='header'>
			<div className="container">
				<h1>{title}</h1>
				{ sessiondata.active &&(<div id="hamburger-button" className={`hamburger ${menu_shown && 'hamburger-active'}`}
					onClick={() => toggle_menu('toggle')}>
					<hr />
					<hr />
					<hr />
				</div>)}
			</div>
		</header>
	);
}



export default Header;
