import { h } from 'preact';
import { Link } from 'preact-router';
import { useContext, useState } from 'preact/hooks';
import AppState from '../../store/AppState';
import { Breadcrumbs } from '../../components';
import api from '../../api'
function Logout() {
    const navigation = ["Logout"];
    let [text, settext] = useState('');
    let [sessiondata, setsession] = useContext(AppState).session;
    this.shouldComponentUpdate = function () {
        console.log('functional component vs closures');
    }
    if (sessiondata.active) {
        api.logout(sessiondata.token).then((r) => r === 'success' ? settext('Sitzung beendet.') : settext('Sitzung war bereits nicht mehr vorhanden.'));
        setsession({ type: 'end' })
    }




    return (
        <div class="container">
            <Breadcrumbs items={navigation} />
            <div className={'contentbox'} >
                <h2>
                    Erfolgreich abgemeldet:
                </h2>
                <p>
                    {text}<br />
                    <Link className={'button'} href="/login">Erneut Anmelden</Link>
                </p>
                
            </div>

        </div>
    );

}

export default Logout;